dotnet-tool-run(1)

dotnet tool run

This article applies to: ✔️ .NET Core 3.1 SDK and later versions

NAME

dotnet-tool-run - Invokes a local tool.

SYNOPSIS

    dotnet tool run <COMMAND NAME>
    dotnet tool run -h|--help

DESCRIPTION

The dotnet tool run command searches tool manifest files that are in scope for the current directory. When it finds a reference to the specified tool, it runs the tool. For more information, see Invoke a local tool.

ARGUMENTS

•   COMMAND_NAME

    The command name of the tool to run.

OPTIONS

•   -?|-h|--help

    Prints out a description of how to use the command.

  Example

•   dotnet tool run dotnetsay

    Runs the dotnetsay local tool.

SEE ALSO

•   .NET tools

•   Tutorial: Install and use a .NET local tool using the .NET CLI